### Method

# Cogl Color to_hsl

#### Declaration [src]

    void
    cogl_color_to_hsl (
      const CoglColor* color,
      float* hue,
      float* saturation,
      float* luminance
    )

#### Description [src]

Converts `color` to the HLS format.

The `hue` value is in the 0 .. 360 range. The `luminance` and `saturation` values are in the 0 .. 1 range.

#### Parameters

`hue`

  Type: `float*`

  Return location for the hue value or `NULL`.

  The argument will be set by the function.

`saturation`

  Type: `float*`

  Return location for the saturation value or `NULL`.

  The argument will be set by the function.

`luminance`

  Type: `float*`

  Return location for the luminance value or `NULL`.

  The argument will be set by the function.